Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs
Interface JRCrosstabBucket

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Implementing Classes:
  JRBaseCrosstabBucket, JRDesignCrosstabBucket

    public interface JRCrosstabBucket

extends JRCloneable

Crosstab groups bucketing information interface.

The bucketing informartion consists of the grouping expression and sorting information. The buckets can be sorted according to the natural sorting (if the values implement `Comparable`) or using a comparator.

Version:
  $Id: JRCrosstabBucket.java 3500 2010-03-03 15:56:41Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`JRExpression` | `getComparatorExpression()` Returns the comparator expression.
`JRExpression` | `getExpression()` Returns the grouping expression.
`byte` | `getOrder()` Deprecated. Replaced by `getOrderValue()`.
`JRExpression` | `getOrderByExpression()` Returns an expression that provides order by values for group buckets.
`SortOrderEnum` | `getOrderValue()` Returns the bucket sorting type.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getOrder

    byte getOrder()

  Deprecated. Replaced by `getOrderValue()`.

### getOrderValue

    SortOrderEnum getOrderValue()

  Returns the bucket sorting type.

  The possible values are:

  - `SortOrderEnum.ASCENDING`
  - `SortOrderEnum.DESCENDING`

  Returns:
    the bucket sorting type

### getExpression

    JRExpression getExpression()

  Returns the grouping expression.

  Returns:
    the grouping expression

### getComparatorExpression

    JRExpression getComparatorExpression()

  Returns the comparator expression.

  The result of this expression is used to sort the buckets, in ascending or descending order (given by `getOrder()`. If the bucket has an order by expression, the comparator will be used to compare values as produced by that expression. If no comparator expression is specified, the natural order will be used.

  Returns:
    the comparator expression
  See Also:
    `getOrderByExpression()`

### getOrderByExpression

    JRExpression getOrderByExpression()

  Returns an expression that provides order by values for group buckets. If not set, the bucket values as returned by `getExpression()` are used to order the buckets.

  The expression is evaluated in the context of the crosstab group and can reference measure variables, which evaluate to group totals.

  Returns:
    the order by value expression for the group bucket

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com